Re: Error in make of LyX version 2.3.0 under Linux-Mint

2018-09-12 Thread Wolfgang Engelmann




On 12.09.2018 20:37, Kornel Benko wrote:

Am Mittwoch, 12. September 2018 19:00:31 CEST schrieb Wolfgang Engelmann 
:

I am under Linux-Mint trying to install LyX version 2.3.0

./configure
configuring LyX version 2.3.0

was alright

make gives me this fatal error:

GuiApplication.cpp:122:23: fatal error: X11/Xatom.h: No such file or
directory
compilation terminated.

X11/Xatom.h is part of the X11 devel package:
"x11proto-core-dev"
Please install this first.
Looks, like you would have to install some more packages too.

I would try to install 'apt-file' too. Once apt-file is configured (with: "apt-file 
update"),
it is easy to find a package for any eventually missing file.

In this case, I did:
# apt-file find X11/Xatom.h
emscripten: /usr/share/emscripten/system/include/X11/Xatom.h
x11proto-core-dev: /usr/include/X11/Xatom.h


Makefile:1004: recipe for target 'GuiApplication.o' failed
make[6]: *** [GuiApplication.o] Error 1
make[6]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:848: recipe for target 'all' failed
make[5]: *** [all] Error 2
make[5]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:778: recipe for target 'all-recursive' failed

Do I need to install something else before running make?

Thanks for a pointer,

Wolfgang


Kornel


Thanks a lot, Kornel!
Wolfgang


Re: Error in make of LyX version 2.3.0 under Linux-Mint

2018-09-12 Thread Kornel Benko
Am Mittwoch, 12. September 2018 19:00:31 CEST schrieb Wolfgang Engelmann 
:
> I am under Linux-Mint trying to install LyX version 2.3.0
> 
> ./configure
> configuring LyX version 2.3.0
> 
> was alright
> 
> make gives me this fatal error:
> 
> GuiApplication.cpp:122:23: fatal error: X11/Xatom.h: No such file or 
> directory
> compilation terminated.

X11/Xatom.h is part of the X11 devel package:
"x11proto-core-dev"
Please install this first.
Looks, like you would have to install some more packages too.

I would try to install 'apt-file' too. Once apt-file is configured (with: 
"apt-file update"),
it is easy to find a package for any eventually missing file.

In this case, I did:
# apt-file find X11/Xatom.h
emscripten: /usr/share/emscripten/system/include/X11/Xatom.h
x11proto-core-dev: /usr/include/X11/Xatom.h

> Makefile:1004: recipe for target 'GuiApplication.o' failed
> make[6]: *** [GuiApplication.o] Error 1
> make[6]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
> Makefile:848: recipe for target 'all' failed
> make[5]: *** [all] Error 2
> make[5]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
> Makefile:778: recipe for target 'all-recursive' failed
> 
> Do I need to install something else before running make?
> 
> Thanks for a pointer,
> 
> Wolfgang
> 
Kornel



signature.asc
Description: This is a digitally signed message part.


Error in make of LyX version 2.3.0 under Linux-Mint

2018-09-12 Thread Wolfgang Engelmann

I am under Linux-Mint trying to install LyX version 2.3.0

./configure
configuring LyX version 2.3.0

was alright

make gives me this fatal error:

GuiApplication.cpp:122:23: fatal error: X11/Xatom.h: No such file or 
directory

compilation terminated.
Makefile:1004: recipe for target 'GuiApplication.o' failed
make[6]: *** [GuiApplication.o] Error 1
make[6]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:848: recipe for target 'all' failed
make[5]: *** [all] Error 2
make[5]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:778: recipe for target 'all-recursive' failed

Do I need to install something else before running make?

Thanks for a pointer,

Wolfgang



Re: you say install latest version of MiKTeX before installing LyX - what is the minimal version needed?

2018-09-12 Thread Dr Eberhard Lisse
Oh, cool.

But to nit a pick, it is installable on LinuX :-)-O

el

On 11/09/2018 14:09, Jean-Marc Lasgouttes wrote:
> Le 11/09/2018 à 12:26, Dr Eberhard Lisse a écrit :
>> Because MikTeX does not work on Linux? :-)-O
> 
> It does, actually.
> https://miktex.org/download
> 
> JMarc
>